apply plugin: 'com.android.application'

apply from: '../config/git-version.gradle'

android {
    compileSdkVersion 29
    buildToolsVersion "29.0.3"
    defaultConfig {
        applicationId "com.fusi24.entryPermitScanner"
        minSdkVersion 21
        targetSdkVersion 29
        versionCode gitVersionCode
        versionName gitVersionName
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        // Make generated archive contain version name and code.
        archivesBaseName = "Entry Permit Scanner-${gitVersionName}"
    }
    buildFeatures {
        viewBinding = true
    }
    signingConfigs {
        release {
            keyAlias 'rfid-hse-fusi'
            keyPassword 'spontanuhuy'
            storeFile file('../keystore.jks')
            storePassword 'password'
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation "androidx.recyclerview:recyclerview:1.1.0"
    implementation "androidx.swiperefreshlayout:swiperefreshlayout:1.1.0"
    implementation "com.google.android.material:material:1.1.0"

    //GMS Play Service
    implementation 'com.google.android.gms:play-services-location:17.0.0'

    //Timber
    implementation 'com.jakewharton.timber:timber:4.7.1'

    //RX JAVA
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.1'
    implementation 'com.squareup.retrofit2:adapter-rxjava2:2.9.0'

    //GSON
    implementation 'com.google.code.gson:gson:2.8.6'

    //OKHTTP
    implementation 'com.squareup.okio:okio:2.7.0-alpha.lockfree.1'
    implementation 'com.squareup.okhttp3:okhttp:4.7.2'
    implementation 'com.squareup.okhttp3:logging-interceptor:4.7.2'

    //RETROFIT
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'

    //Circle Image
    implementation 'de.hdodenhof:circleimageview:3.1.0'

    //Glide Image Processing
    implementation 'com.github.bumptech.glide:glide:4.11.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'

    //Light Stream
    implementation 'com.annimon:stream:1.2.1'

    // Toggle Button
    implementation 'com.github.angads25:toggle:1.1.0'

    // Simple Location
    implementation 'com.github.delight-im:Android-SimpleLocation:v1.1.0'

    //Serial Port
    implementation files('libs/serialport.jar')
    implementation files('libs/android-async-http-1.4.9.jar')
    implementation files('libs/httpclient-4.4.1.1.jar')

    testImplementation 'junit:junit:4.13'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
}
